View Issue Details

IDProjectCategoryView StatusLast Update
0025722mantisbtadministrationpublic2019-09-03 11:27
Reporterfubertosi Assigned Tocproensa  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version2.20.0 
Target Version2.21.1Fixed in Version2.21.1 
Summary0025722: Wrong access_level settings when updating rights in the project admin page
Description

Since the 2.20.0 version, it's possible to update the attachement rights user/project in the admin page of the project, via the blue link [modify] (see pj)
But, when we use it, it updates the rights not only on the current project, but on all the projects that have an attachement to the user on which we are updating the rights. I picked up the sql request logged :

'UPDATE mantis_project_user_list_table SET access_level = 70 WHERE user_id = 208'

"and project_id=XXX " is missing!!

TagsNo tags attached.

Relationships

related to 0005151 closeddregad Can't update user's project-specific access level 
has duplicate 0025752 closeddregad When changing role for a project the role is changed for every project 
has duplicate 0026107 closeddregad Mantis 2.21 - Bug on project_add_users 

Activities

fubertosi

fubertosi

2019-04-29 10:39

reporter  

MantisBT.jpg (3,281 bytes)   
MantisBT.jpg (3,281 bytes)   
cproensa

cproensa

2019-04-29 17:45

developer   ~0062013

Thanks @fubertosi
This is an embarrassing error. The fix is here:
https://github.com/mantisbt/mantisbt/pull/1508

Related Changesets

MantisBT: master 78b3a4f0

2019-04-29 17:39:19

cproensa


Committer: dregad Details Diff
Fix updating user access level for projects

Fix an error from PR 1449 where updating access level for a user in a
project, updates the access levels on all projects assigned to that
user. Missing project_id in the update query.

Fixes: 0025722
Affected Issues
0025722
mod - core/project_api.php Diff File

Issue History

Date Modified Username Field Change
2019-04-29 10:39 fubertosi New Issue
2019-04-29 10:39 fubertosi File Added: MantisBT.jpg
2019-04-29 16:03 atrol Relationship added related to 0005151
2019-04-29 16:04 atrol Assigned To => cproensa
2019-04-29 16:04 atrol Status new => assigned
2019-04-29 16:04 atrol Target Version => 2.21.1
2019-04-29 16:04 atrol Description Updated View Revisions
2019-04-29 17:45 cproensa Note Added: 0062013
2019-04-30 11:00 dregad Changeset attached => MantisBT master 78b3a4f0
2019-04-30 11:00 cproensa Status assigned => resolved
2019-04-30 11:00 cproensa Resolution open => fixed
2019-04-30 11:00 cproensa Fixed in Version => 2.22.0
2019-04-30 11:01 dregad Fixed in Version 2.22.0 => 2.21.1
2019-05-10 05:45 dregad Relationship added has duplicate 0025752
2019-06-14 02:39 vboctor Status resolved => closed
2019-09-03 11:27 dregad Relationship added has duplicate 0026107